CVE-2020-19667

MEDIUM

Description

Stack-based buffer overflow and unconditional jump in ReadXPMImage in coders/xpm.c in ImageMagick 7.0.10-7.

References

https://github.com/ImageMagick/ImageMagick/issues/1895

https://lists.debian.org/debian-lts-announce/2021/01/msg00010.html

Details

Source: MITRE

Published: 2020-11-20

Updated: 2021-02-24

Type: CWE-787

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 7.8

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Tenable Plugins

View all (6 total)

IDNameProductFamilySeverity
145394openSUSE Security Update : ImageMagick (openSUSE-2021-148)NessusSuSE Local Security Checks
medium
145363SUSE SLES12 Security Update : ImageMagick (SUSE-SU-2021:0199-1)NessusSuSE Local Security Checks
medium
145361openSUSE Security Update : ImageMagick (openSUSE-2021-136)NessusSuSE Local Security Checks
medium
145181SUSE SLED15 / SLES15 Security Update : ImageMagick (SUSE-SU-2021:0156-1)NessusSuSE Local Security Checks
medium
144928SUSE SLED15 / SLES15 Security Update : ImageMagick (SUSE-SU-2021:0081-1)NessusSuSE Local Security Checks
medium
144925Debian DLA-2523-1 : imagemagick security updateNessusDebian Local Security Checks
medium